# Uses of Enum Class
javafx.scene.layout.BorderRepeat

Packages that use BorderRepeat
Package
Description
javafx.scene.layout
Provides classes to support user interface layout.

## Uses of BorderRepeat in javafx.scene.layout

Methods in javafx.scene.layout that return BorderRepeat
Modifier and Type
Method
Description
`final BorderRepeat`
BorderImage.`getRepeatX()`
Indicates in what manner (if at all) the border image is to be repeated along the x-axis of the region.
`final BorderRepeat`
BorderImage.`getRepeatY()`
Indicates in what manner (if at all) the border image is to be repeated along the y-axis of the region.
`static BorderRepeat`
BorderRepeat.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BorderRepeat[]`
BorderRepeat.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in javafx.scene.layout with parameters of type BorderRepeat
Modifier
Constructor
Description
``
`BorderImage(Image image, BorderWidths widths, Insets insets, BorderWidths slices, boolean filled, BorderRepeat repeatX, BorderRepeat repeatY)`
Creates a new BorderImage.